Docs
Get Folder
GET /Drives/{driveId}/folders/{folderId}
GET
/Drives/{driveId}/folders/{folderId}Returns a folder's details and associations. Needs read, edit or admin access to the folder's location. The folder id comes from Drives_Get or Drives_GetFileTree.
Path Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| driveId | uuid | Required | |
| folderId | uuid | Required |
Response
| Field | Type | Description |
|---|---|---|
| id | uuid | |
| partitionKey | uuid | |
| name | string| null | |
| description | string| null | |
| path | string| null | |
| fullPath | string| null | |
| associatedCrewMembers | GetFileFolderResponseAssociatedEntity[]| null | |
| associatedDepartments | GetFileFolderResponseAssociatedEntity[]| null | |
| associatedLocations | GetFileFolderResponseAssociatedEntity[]| null | |
| links | GetFileFolderResponseFolderLink[]| null |
GetFileFolderResponseAssociatedEntity
| Field | Type | Description |
|---|---|---|
| id | uuid | |
| entityId | uuid | |
| name | string| null | |
| permissions | string[]| null |
GetFileFolderResponseFolderLink
| Field | Type | Description |
|---|---|---|
| id | uuid | |
| name | string| null | |
| permissions | string[]| null |